# &kde; User's Manual

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Rebuilds the system configuration cache.

## Synopsis

    kbuildsycoca4

    --nosignal
    --noincremental
    --checkstamps
    --nocheckfiles
    --global
    --menutest
    --track menu-id
    --help
    --help-qt
    --help-kde
    --help-all
    --author
    -v, --version
    --license

## Description

`kbuildsycoca4`, as part of the &kde; command line tools ensures the proper operation of &kde; by reading in all the `.desktop`, `.xml`, and `.protocol` files to construct a binary database.

&kde; itself accesses this database during operation to provide configuration information a program needs to run.

This tool is part of ksycoca4, which stands for &kde; System Configuration Cache

## Options

`--nosignal`

  Do not signal applications to update

`--noincremental`

  Disable incremental update, re-read everything

`--checkstamps`

  Check file timestamps

`--nocheckfiles`

  Disable checking files (dangerous)

`--global`

  Create global database

`--menutest`

  Perform menu generation test run only

`--track menu-id`

  Track menu id for debug purposes

`--help`

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show KDE specific options

`--help-all`

  Show all options

`--author`

  Show author information

`-v , --version`

  Show version information

`--license`

  Show license information

## Usage

A standard way to run this program is by simply specifying the following command at the prompt ``kbuildsycoca4``

## Files

`/var/tmp/kde-$USER/ksycoca4`

  The default directory where the cache files are stored.

## Environment Variables

$`KDEDIRS`

  Specifies which directories are part of the KDE installations

$`KDESYCOCA`

  Specifies the path to the sycoca database file

## See Also

kdeinit4

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.